Subject: Re: linux-next: Tree for Oct 18 ('make' error on ARCH=um)

From: Randy Dunlap <[email-masked]>
Date: Wed, 20 Oct 2021 07:46:24 -0700

On 10/20/21 7:23 AM, Randy Dunlap wrote:
> On 10/19/21 9:56 PM, Stephen Rothwell wrote:
>> Hi Randy,
>>
>> On Tue, 19 Oct 2021 00:18:44 +0200 Miguel Ojeda <[email-masked]> wrote:
>>>
>>> On Mon, Oct 18, 2021 at 11:58 PM Stephen Rothwell <[email-masked]> wrote:
>>>>
>>>> In commit
>>>>
>>>>    c862c7fee526 ("Kbuild: add Rust support")
>>>>
>>>> from the rust tree, these bits should probably not be there:
>>>>
>>>> -ifneq ($(findstring clang,$(CC_VERSION_TEXT)),)
>>>>   include $(srctree)/scripts/Makefile.clang
>>>> -endif
>>>
>>> So this was on purpose -- we need the Clang flags even in GCC builds
>>> for bindgen. But now there is that `$(error ...)` added there :(
>>>
>>>> Miguel, does that seem reasonable?
>>>
>>> Of course, for today please feel free to apply your fix (i.e. to put
>>> the conditional back to where it was). I will solve it on my side
>>> tomorrow.
>>
>> Can you please check that this is fixed for you after I do the release
>> today?
>>
> 
> I will. It's part of my nightly cron job.
> 

Stephen, Miguel,

No problems like this in linux-next 2021-10-20.

thanks.

-- 
~Randy